org.yaml.snakeyaml.util

## Class UriEncoder

- java.lang.Object
- - org.yaml.snakeyaml.util.UriEncoder

    public abstract class UriEncoder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`UriEncoder()`

### Method Summary

Methods
`static String` `decode(ByteBuffer buff)` Decode '%'-escaped characters.
`static String` `decode(String buff)`
`static String` `encode(String uri)` Escape special characters with '%'

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UriEncoder

    public UriEncoder()

### Method Detail

#### encode

    public static String encode(String uri)

Escape special characters with '%'

Parameters:
  `uri` - URI to be escaped
Returns:
  encoded URI

#### decode

    public static String decode(ByteBuffer buff)
                         throws CharacterCodingException

Decode '%'-escaped characters. Decoding fails in case of invalid UTF-8

Parameters:
  `buff` - data to decode
Returns:
  decoded data
Throws:
  `CharacterCodingException` - if cannot be decoded

#### decode

    public static String decode(String buff)